Bug 1275514 - Tenant column in the template selection list of catalog item should be displayed for only cloud provider templates
Tenant column in the template selection list of catalog item should be displa...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Martin Hradil
Aziza Karol
:
Depends On: 1285963
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 02:57 EDT by Aziza Karol
Modified: 2015-12-08 08:40 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:40:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-10-27 02:57:45 EDT
Created attachment 1086741 [details]
tenant coumn

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.7

How reproducible:
100%

Steps to Reproduce:
1.Add a catalog item of type vmware
2.click on Request info tab of  catalog item. 
3.

Actual results:
Tenant column is displayed for all provider type. see attached screenshot

Expected results:
Tenant should be displayed for only cloud provider item type

Additional info:
Comment 4 CFME Bot 2015-11-04 18:00:19 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b579ac39833a50025e2cf207ffdd526299b6caee

commit b579ac39833a50025e2cf207ffdd526299b6caee
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Nov 4 17:14:25 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Nov 4 17:17:45 2015 +0000

    MiqHashStruct - respond_to? should return true for getters only when the key is defined
    
    this changes MiqHashStruct's respond_to_missing? to return false unless
    the method is a setter or the key is defined.
    
    That is, code like MiqHashStruct.new(:foo => 1).respond_to? :bar will no
    longer return true.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275514

 gems/pending/spec/util/miq-hash_struct_spec.rb | 20 ++++++++++++++++++++
 gems/pending/util/miq-hash_struct.rb           | 10 +++++++++-
 2 files changed, 29 insertions(+), 1 deletion(-)
Comment 5 CFME Bot 2015-11-04 18:00:26 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8fc45cd8f8370f1760f800a4a4502bd507d74af6

commit 8fc45cd8f8370f1760f800a4a4502bd507d74af6
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Nov 4 17:16:36 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Nov 4 17:17:49 2015 +0000

    prov_vm_grid - display Tenant values if defined
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275514

 app/views/miq_request/_prov_vm_grid.html.haml | 9 +++++++++
 1 file changed, 9 insertions(+)
Comment 7 CFME Bot 2015-11-12 15:31:46 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=297a7613bd3e108bc13c366a09c655d661703902

commit 297a7613bd3e108bc13c366a09c655d661703902
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Nov 4 17:14:25 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Nov 11 16:06:15 2015 +0000

    MiqHashStruct - respond_to? should return true for getters only when the key is defined
    
    this changes MiqHashStruct's respond_to_missing? to return false unless
    the method is a setter or the key is defined.
    
    That is, code like MiqHashStruct.new(:foo => 1).respond_to? :bar will no
    longer return true.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275514
    (cherry picked from commit b579ac39833a50025e2cf207ffdd526299b6caee)

 gems/pending/spec/util/miq-hash_struct_spec.rb | 20 ++++++++++++++++++++
 gems/pending/util/miq-hash_struct.rb           | 10 +++++++++-
 2 files changed, 29 insertions(+), 1 deletion(-)
Comment 8 CFME Bot 2015-11-12 15:31:52 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=153ae263c62dd9dcaaa3aa0cf551e16b37bf2a5e

commit 153ae263c62dd9dcaaa3aa0cf551e16b37bf2a5e
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Nov 4 17:16:36 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Nov 11 16:06:26 2015 +0000

    prov_vm_grid - display Tenant values if defined
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275514
    (cherry picked from commit 8fc45cd8f8370f1760f800a4a4502bd507d74af6)

 app/views/miq_request/_prov_vm_grid.html.haml | 9 +++++++++
 1 file changed, 9 insertions(+)
Comment 9 CFME Bot 2015-11-12 15:32:28 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=fa2e637d1606a1e1afb6270eb2584ca78eb08f16

commit fa2e637d1606a1e1afb6270eb2584ca78eb08f16
Merge: b4f4939 153ae26
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 11 12:28:54 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 11 12:28:54 2015 -0500

    Merge branch 'bz1275514-55' into '5.5.z'
    
    Edit Show Tenant column in catalog item's Request info tab only when relevant
    
    [PR#5283](https://github.com/ManageIQ/manageiq/pull/5283)
    https://bugzilla.redhat.com/show_bug.cgi?id=1275514
    
    clean cherry-pick
    
    See merge request !409

 app/views/miq_request/_prov_vm_grid.html.haml  |  9 +++++++++
 gems/pending/spec/util/miq-hash_struct_spec.rb | 20 ++++++++++++++++++++
 gems/pending/util/miq-hash_struct.rb           | 10 +++++++++-
 3 files changed, 38 insertions(+), 1 deletion(-)
Comment 10 Aziza Karol 2015-11-25 06:16:21 EST
I verified that tenant column is not displayed while creating catalog item in Request info tab,but how do i verify that this is displayed in info tab only when relevant?. 

How can i get that column to show up in the tab?

~Thanks,
Aziza
Comment 11 Martin Hradil 2015-11-26 09:41:46 EST
Aziza.. I think it currently never happens, or at least, I haven't encountered any data with cloud tenant column there..

My fix only hides that column from headers if no entries in the displayed collection contain such column, I do not really know on which occasion should the data contain such a column, sorry. (Might be a related bug..)
Comment 12 Aziza Karol 2015-11-27 00:49:45 EST
The tenant column is not showing up while creating catalog item type of OpenStack. 
so in order to have this column displayed for Openstack i think we need to have a tenant field in the image summary page.i have open up a separate BZ https://bugzilla.redhat.com/show_bug.cgi?id=1285963 to track this issue.
Comment 14 errata-xmlrpc 2015-12-08 08:40:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.